function compiler = plcheckmex

compiler = 'unknown';

testPath = fullfile(fileparts(mfilename('fullpath')), 'test.c');
result = evalc(['mex(''-v'', ''-n'', ''' testPath ''')']);

while ~isempty(result),
  [line, result] = strtok(result, char(10)); %#ok<STTOK>
  if strfind(line, 'COMPILER'),
    compiler = line([(strfind(line, '=')+1):end]);
    compiler = lower(deblank(fliplr(deblank(fliplr(compiler)))));
    return;
  end
end

warning('Could not determine the compiler used by MEX.'); %#ok<WNTAG>
